function typeIIIH_P = typeIIIH_P(T,N,flag,param)

b=0.006; c=0.001;Thd=4.06; %pred parameters%
m=param(2)/24; %non-pred mortality rate under hypoxia, default is 0.001%
P=param(3);  %P is the relative increase in predation under hypoxia, default value is 3%
k=0.85/(24*365); Linf=32.7; L0j=8.2; L0a=18.5; %von B growth parameters%
a=0.00072;  d=3.86;  %L-M parameters%
typeIIIH_P(1,:)=-m*N(1)-(N(1)/(N(1)+N(2)))*(((b*(N(1)+N(2))^2)/(1+c*(N(1)+N(2))+b*Thd*(N(1)+N(2))^2))*P*((5.99+1.98*exp(.006*(N(1)+N(2))))/(300*0.22)));
typeIIIH_P(2,:)=-m*N(2)-(N(2)/(N(1)+N(2)))*(((b*(N(1)+N(2))^2)/(1+c*(N(1)+N(2))+b*Thd*(N(1)+N(2))^2))*P*((5.99+1.98*exp(.006*(N(1)+N(2))))/(300*0.22)));
N1=(N(1)/(N(1)+N(2)))*(((b*(N(1)+N(2))^2)/(1+c*(N(1)+N(2))+b*Thd*(N(1)+N(2))^2))*P*((5.99+1.98*exp(.006*(N(1)+N(2))))/(300*0.22)));
N2=(N(2)/(N(1)+N(2)))*(((b*(N(1)+N(2))^2)/(1+c*(N(1)+N(2))+b*Thd*(N(1)+N(2))^2))*P*((5.99+1.98*exp(.006*(N(1)+N(2))))/(300*0.22)));
typeIIIH_P(3,:)=N1+N2;
typeIIIH_P(4,:)=m*(N(1)+N(2));
typeIIIH_P(5,:)=(a*N(7)^d)*N1+(a*N(8)^d)*N2;
typeIIIH_P(6,:)=m*N(1)*(a*N(7)^d)+m*N(2)*(a*N(8)^d);
typeIIIH_P(7,:)=k*(Linf-N(7));
typeIIIH_P(8,:)=k*(Linf-N(8));
end