function [pop,N,B]= Pop_and_Pred(Mparam,param,inits,J)

A=dA(Mparam);
Th=param(1);
tb=(153-Th)/2;
ta=153-tb-Th;

Yn(1,1)=inits(1); %init pop size of Jn%
Yn(1,2)=inits(3); %init pop size of An%

Yh(1,1)=inits(2); %init pop size of Jh%
Yh(1,2)=inits(4); %init pop size of Ah%

N(1,1)=0;  %# eaten in normoxia%
N(1,2)=0;  %# non-pred mort norm%
N(1,3)=0;  %# eaten in hypoxia%
N(1,4)=0;  %# non-pred hyp%

B(1,1)=0;  %Biomass eaten in normoxia%
B(1,2)=0;  %Biomass non-pred mort norm%
B(1,3)=0;  %Biomass eaten in hypoxia%
B(1,4)=0;  %Biomass non-pred hyp%

for i=1:J
    Yn(i,3)=0; %biomass and numbers must start off as 0 each year%
    Yn(i,4)=0;
    Yn(i,5)=0;
    Yn(i,6)=0;
    Yn(i,7)=8.2;  %initial size of Jn clams%
    Yn(i,8)=17.7; %initial size of An clams%
    
    Yh(i,3)=0; %biomass and numbers must start off as 0 each year%
    Yh(i,4)=0;
    Yh(i,5)=0;
    Yh(i,6)=0;
    Yh(i,7)=9.1;  %initial size of Jh clams%
    Yh(i,8)=18.5; %initial size of Ah clams%
    [t,y]=ode45('typeIII_P',[0,153*24],Yn(i,:));
    Yn(i+1,:)=y(length(y),:);
    t=0; y=0;
    [t,y]=ode45('typeIII_P',[0,tb*24],Yh(i,:));
    Yh(i+1,:)=y(length(y),:);
    t=0; y=0;
    [t,y]=ode45('typeIIIH_P',[0,Th*24],Yh(i+1,:),[],param);
    Yh(i+1,:)=y(length(y),:);
    t=0; y=0;
    [t,y]=ode45('typeIII_P',[0,ta*24],Yh(i+1,:));
    Yh(i+1,:)=y(length(y),:);
    t=0; y=0;
    p(1,1)=Yn(i+1,1);
    p(2,1)=Yh(i+1,1);
    p(3,1)=Yn(i+1,2);
    p(4,1)=Yh(i+1,2);
    p=A*p;
    Yn(i+1,1)=p(1,1);
    Yn(i+1,2)=p(3,1);
    Yh(i+1,1)=p(2,1);
    Yh(i+1,2)=p(4,1);
    
    N(i+1,1)=Yn(i+1,3);  %# eaten in normoxia%
    N(i+1,2)=Yn(i+1,4);  %# non-pred mort norm%
    N(i+1,3)=Yh(i+1,3);  %# eaten in hypoxia%
    N(i+1,4)=Yh(i+1,4);  %# non-pred hyp%

    B(i+1,1)=Yn(i+1,5);  %Biomass eaten in normoxia%
    B(i+1,2)=Yn(i+1,6);  %Biomass non-pred mort norm%
    B(i+1,3)=Yh(i+1,5);  %Biomass eaten in hypoxia%
    B(i+1,4)=Yh(i+1,6);  %Biomass non-pred hyp%
end
pop(:,1)=Yn(:,1);  %population outputs%
pop(:,2)=Yh(:,1);
pop(:,3)=Yn(:,2);
pop(:,4)=Yh(:,2);


end
