function typeIII_P = typeIII_P(T,N)

P=0.22; b=0.006; c=0.001; %pred parameters%
Thd=4.06;
m=0.001/24;%non-pred mortality rate
k=0.85/(24*365); Linf=32.7; L0j=8.2; L0a=18.5; %von B growth parameters%
a=0.00072;  d=3.86;  %L-M parameters%
typeIII_P(1,:)=-m*N(1)-(N(1)/(N(1)+N(2)))*(((b*(N(1)+N(2))^2)/(1+c*(N(1)+N(2))+b*Thd*(N(1)+N(2))^2))*((5.99+1.98*exp(.006*(N(1)+N(2))))/(300*P)));
typeIII_P(2,:)=-m*N(2)-(N(2)/(N(1)+N(2)))*(((b*(N(1)+N(2))^2)/(1+c*(N(1)+N(2))+b*Thd*(N(1)+N(2))^2))*((5.99+1.98*exp(.006*(N(1)+N(2))))/(300*P)));
N1=(N(1)/(N(1)+N(2)))*(((b*(N(1)+N(2))^2)/(1+c*(N(1)+N(2))+b*Thd*(N(1)+N(2))^2))*((5.99+1.98*exp(.006*(N(1)+N(2))))/(300*P)));
N2=(N(2)/(N(1)+N(2)))*(((b*(N(1)+N(2))^2)/(1+c*(N(1)+N(2))+b*Thd*(N(1)+N(2))^2))*((5.99+1.98*exp(.006*(N(1)+N(2))))/(300*P)));
typeIII_P(3,:)=N1+N2;
typeIII_P(4,:)=m*(N(1)+N(2));
typeIII_P(5,:)=(a*N(7)^d)*N1+(a*N(8)^d)*N2;
typeIII_P(6,:)=m*N(1)*(a*N(7)^d)+m*N(2)*(a*N(8)^d);
typeIII_P(7,:)=k*(Linf-N(7));
typeIII_P(8,:)=k*(Linf-N(8));
end